#pragma once
#include <map>
struct M_ActivityFishingCeleLotteryTicketShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityFishingCeleLotteryTicketShop
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleLotteryTicketShop> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleLotteryTicketShopData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleLotteryTicketShopData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleLotteryTicketShop* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleLotteryTicketShopData> mMapData;
};
